#!/bin/sh

MIACLISUB=DiskLogx86
MSMCLIDIR=/opt/MegaRAID/MegaCli
HRNCLIDIR=/opt/hitachi/hrn/cli
MEGACLICMD=MegaCli

if [ "`uname -m`" == "x86_64" ]; then
	MEGACLICMD=MegaCli64
	MIACLISUB=DiskLogx64
fi

if [ -x ${MSMCLIDIR}/${MEGACLICMD} ]; then
	echo -n "${MSMCLIDIR}/${MEGACLICMD}"
elif [ -x ${HRNCLIDIR}/${MEGACLICMD} ]; then
	echo -n "${HRNCLIDIR}/${MEGACLICMD}"
else
	echo -n "${LOG_BIN_DIR}/MegaRAID/${MIACLISUB}/${MEGACLICMD}"
fi
exit 0
