#!/bin/sh

#cd /var/log

FILELIST=

for SYSLOGFILE in `ls -tr /var/log/messages* | tail -n 2`
do
	FILELIST="${FILELIST} ${SYSLOGFILE}"
	if [ "${SYSLOGFILE##*.}" = "gz" ]; then
		zcat ${SYSLOGFILE}
	else
		cat ${SYSLOGFILE}
	fi
done
echo "******************** END OF SYSLOG ********************"
ls -ltr ${FILELIST}
echo "******************** END OF FILE ********************"
